# Gtk::Buildable Class Reference

TODO. More...

Inherits Glib::Interface.

Inherited by Gtk::Action, Gtk::ActionGroup, Gtk::ListStore, Gtk::SizeGroup, Gtk::TreeStore, and Gtk::Widget.

Collaboration diagram for Gtk::Buildable:
[legend]

List of all members.

## Public Member Functions

virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject.
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object.
Glib::ustring | get_name () const
| Gets the name of the buildable object.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO.

## Constructor & Destructor Documentation

virtual Gtk::Buildable::~Buildable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::Buildable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::ustring Gtk::Buildable::get_name | ( |  | ) | const

Gets the name of the buildable object.

Gtk::Builder sets the name based on the the <link linkend="BUILDER-UI">GtkBuilder UI definition</link> used to construct the buildable.

Since gtkmm 2.12:

Returns:
  The name set with set_name().

Reimplemented in Gtk::Action, and Gtk::ActionGroup.

GtkBuildable* Gtk::Buildable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::Action, Gtk::ActionGroup, Gtk::ListStore, Gtk::RadioAction, Gtk::SizeGroup, Gtk::ToggleAction, and Gtk::TreeStore.

const GtkBuildable* Gtk::Buildable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::Action, Gtk::ActionGroup, Gtk::ListStore, Gtk::RadioAction, Gtk::SizeGroup, Gtk::ToggleAction, and Gtk::TreeStore.

void Gtk::Buildable::set_name | ( | const Glib::ustring & | name | ) |

Sets the name of the buildable object.

Since gtkmm 2.12:

Parameters:

  | name | Name to set.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Buildable > wrap | ( | GtkBuildable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/buildable.h